package ru.yandex.direct.web.entity.relevancematch.presentation;

import ru.yandex.direct.core.entity.relevancematch.model.RelevanceMatch;
import ru.yandex.direct.validation.result.MappingPathNodeConverter;
import ru.yandex.direct.web.entity.relevancematch.model.WebRelevanceMatch;

public class RelevanceMatchPathConverters {

    private RelevanceMatchPathConverters() {
    }

    public static final MappingPathNodeConverter RELEVANCE_MATCH_PATH_CONVERTER =
            MappingPathNodeConverter.builder(RelevanceMatchPathConverters.class.getName())
                    .replace(RelevanceMatch.ID.name(), WebRelevanceMatch.Prop.ID)
                    .replace(RelevanceMatch.PRICE.name(), WebRelevanceMatch.Prop.PRICE)
                    .replace(RelevanceMatch.PRICE_CONTEXT.name(), WebRelevanceMatch.Prop.PRICE_CONTEXT)
                    .replace(RelevanceMatch.AUTOBUDGET_PRIORITY.name(), WebRelevanceMatch.Prop.AUTOBUDGET_PRIORITY)
                    .replace(RelevanceMatch.IS_SUSPENDED.name(), WebRelevanceMatch.Prop.IS_SUSPENDED)
                    .build();
}
